Follow

My camera-lens combination is listed on the website, but OpticsPro won't install the module.

Your version of DxO OpticsPro is most likely outdated.

 

Within OpticsPro elect Check For Updates  - found under the Help menu on Windows and the DxO OpticsPro menu on Mac - and install the latest update if there is one available.

If your copy of OpticsPro is up-to-date, then most likely you own an older release (i.e. OpticsPro 8 or 9 while the latest is 10) which does not support your camera or your lens. We suggest that you download a trial version of OpticsPro 10 to check whether your body-lens pair is supported.

You can purchase and upgrade to the latest major version from your customer account at a discounted price. Please note that upgrade pricing is only available if you own a paid license of DxO OpticsPro.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments